Subject: Re: [Healeys] Rear leaf springs

From: Tom Felts <[email-masked]>
Date: Sun, 20 Mar 2016 8:58:50 -0400

I do not like the looks of the BJ8 sitting high in the rear-so, when I put new springs on mine I took them to "commercial spring" and had them "pre-sprung" about 25%.  This snugs them down in the rear yet still high enough to pass over the typical obstacles.  I love the look.  Beats putting five bags of cement in the boot:)

---- Graham Wilkie <[email-masked]> wrote: 

=============
Hi Dave,
 
About one year ago, I spoke to a US Moss salesperson prior to purchasing new rear leaf springs for my phase-2 BJ8; unbelievably he recommended I source from elsewhere, which I did.
 
I purchased a very nice set of rear leaf springs from Denis Welch Motorsport in the UK www.bighealey.co.uk
 
Denis Welch Motorsport have rear leaf springs made for the 'BJ8 late'. These are manufactured specifically for Denis Welch Motorsport, in the UK. 
 
Only approximately 600 miles driven since I installed them, but no issues to report.
 
I'm very happy with the way they fitted without problems, that they did not raise the rear of the vehicle too high, and the improvement in handling.
 
Cheers, Graham Wilkie.
BJ8 Moruya Australia.

 
Date: Fri, 18 Mar 2016 10:40:30 +0000
From: [email-masked]
To: [email-masked]
Subject: [Healeys] Rear leaf springs

Hi All,
Thanks to those who responded to my question on a replacement U-bolt plate. 
 What's the latest consensus on new rear springs for a phase-2 BJ8? I was going to reuse my old springs in my restoration, but when sitting on a flat surface the two springs are about 0.470" different in height. Are the Moss springs good quality? Is there more than one aftermarket manufacturer of replacements?
Thanks very much,
Dave64 BJ872 XJ6

_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys

_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys